Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
Posts: 3
Registered: ‎03-04-2010
My Device: 9500
My Carrier: att

Sqlite Eclipse

Hi,

  I am trying to use Sqlite in eclipse but it cannot find net.rim.device.api.database package because of some reason. I have latest eclispe jde with blackberry plugin which I download it from www.blackberry.com website. Do I need to do anything else? Any ideas?

 

Thanks,

 

Highlighted
Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: Sqlite Eclipse

SQLite only works in BlackBerry OS 5.0 and later. Make sure you are targeting that OS by using a BlackBerry OS 5.0 simulator and the JDE Component Pack 5.0.

 

Note: It can only be deployed to a 5.0 device (85xx, 95xx, 97xx at the time of this post).

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful